diff --git a/base/server/python/pki/server/deployment/pkihelper.py b/base/server/python/pki/server/deployment/pkihelper.py
index e33d43f524283465618cdffc7fbc41a2753dcf1c..713e7a381ebb376784582b36040e36e30fc79304 100644
--- a/base/server/python/pki/server/deployment/pkihelper.py
+++ b/base/server/python/pki/server/deployment/pkihelper.py
@@ -55,6 +55,7 @@ import pki.account
 import pki.client
 import pki.system
 
+
 # PKI Deployment Helper Functions
 def pki_copytree(src, dst, symlinks=False, ignore=None):
     """Recursively copy a directory tree using copy2().
@@ -126,6 +127,7 @@ def pki_copytree(src, dst, symlinks=False, ignore=None):
     if errors:
         raise Error(errors)
 
+
 class Identity:
     """PKI Deployment Identity Class"""
 
@@ -258,7 +260,7 @@ class Identity:
         except KeyError as exc:
             config.pki_log.error(log.PKI_KEYERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return pki_uid
 
@@ -268,7 +270,7 @@ class Identity:
         except KeyError as exc:
             config.pki_log.error(log.PKI_KEYERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return pki_gid
 
@@ -284,7 +286,7 @@ class Identity:
         except KeyError as exc:
             config.pki_log.error(log.PKI_KEYERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return pki_uid
 
@@ -300,10 +302,11 @@ class Identity:
         except KeyError as exc:
             config.pki_log.error(log.PKI_KEYERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return pki_gid
 
+
 class Namespace:
     """PKI Deployment Namespace Class"""
 
@@ -322,8 +325,10 @@ class Namespace:
                     self.mdict['pki_instance_name'],
                     self.mdict['pki_instance_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
-                                                                       self.mdict['pki_instance_path']))
+                raise Exception(
+                    log.PKIHELPER_NAMESPACE_COLLISION_2 % (
+                        self.mdict['pki_instance_name'],
+                        self.mdict['pki_instance_path']))
         else:
             if os.path.exists(self.mdict['pki_target_tomcat_conf_instance_id']):
                 # Top-Level "/etc/sysconfig" path collision
@@ -332,8 +337,10 @@ class Namespace:
                     self.mdict['pki_instance_name'],
                     self.mdict['pki_target_tomcat_conf_instance_id'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
-                                                                       self.mdict['pki_target_tomcat_conf_instance_id']))
+                raise Exception(
+                    log.PKIHELPER_NAMESPACE_COLLISION_2 % (
+                        self.mdict['pki_instance_name'],
+                        self.mdict['pki_target_tomcat_conf_instance_id']))
             if os.path.exists(self.mdict['pki_cgroup_systemd_service']):
                 # Systemd cgroup path collision
                 config.pki_log.error(
@@ -341,8 +348,10 @@ class Namespace:
                     self.mdict['pki_instance_name'],
                     self.mdict['pki_cgroup_systemd_service_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
-                                                                       self.mdict['pki_cgroup_systemd_service_path']))
+                raise Exception(
+                    log.PKIHELPER_NAMESPACE_COLLISION_2 % (
+                        self.mdict['pki_instance_name'],
+                        self.mdict['pki_cgroup_systemd_service_path']))
             if os.path.exists(self.mdict['pki_cgroup_cpu_systemd_service']):
                 # Systemd cgroup CPU path collision
                 config.pki_log.error(
@@ -350,8 +359,10 @@ class Namespace:
                     self.mdict['pki_instance_name'],
                     self.mdict['pki_cgroup_cpu_systemd_service_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
-                                                                       self.mdict['pki_cgroup_cpu_systemd_service_path']))
+                raise Exception(
+                    log.PKIHELPER_NAMESPACE_COLLISION_2 % (
+                        self.mdict['pki_instance_name'],
+                        self.mdict['pki_cgroup_cpu_systemd_service_path']))
         if os.path.exists(self.mdict['pki_instance_log_path']) and\
            os.path.exists(self.mdict['pki_subsystem_log_path']):
             # Top-Level PKI log path collision
@@ -360,8 +371,10 @@ class Namespace:
                 self.mdict['pki_instance_name'],
                 self.mdict['pki_instance_log_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
-                                                                  self.mdict['pki_instance_log_path']))
+            raise Exception(
+                log.PKIHELPER_NAMESPACE_COLLISION_2 % (
+                    self.mdict['pki_instance_name'],
+                    self.mdict['pki_instance_log_path']))
         if os.path.exists(self.mdict['pki_instance_configuration_path']) and\
            os.path.exists(self.mdict['pki_subsystem_configuration_path']):
             # Top-Level PKI configuration path collision
@@ -370,8 +383,10 @@ class Namespace:
                 self.mdict['pki_instance_name'],
                 self.mdict['pki_instance_configuration_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
-                                                                  self.mdict['pki_instance_configuration_path']))
+            raise Exception(
+                log.PKIHELPER_NAMESPACE_COLLISION_2 % (
+                    self.mdict['pki_instance_name'],
+                    self.mdict['pki_instance_configuration_path']))
         if os.path.exists(self.mdict['pki_instance_registry_path']) and\
            os.path.exists(self.mdict['pki_subsystem_registry_path']):
             # Top-Level PKI registry path collision
@@ -380,8 +395,10 @@ class Namespace:
                 self.mdict['pki_instance_name'],
                 self.mdict['pki_instance_registry_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            raise Exception(log.PKIHELPER_NAMESPACE_COLLISION_2 % (self.mdict['pki_instance_name'],
-                                                                  self.mdict['pki_instance_registry_path']))
+            raise Exception(
+                log.PKIHELPER_NAMESPACE_COLLISION_2 % (
+                    self.mdict['pki_instance_name'],
+                    self.mdict['pki_instance_registry_path']))
         # Run simple checks for reserved name namespace collisions
         if self.mdict['pki_instance_name'] in config.PKI_BASE_RESERVED_NAMES:
             # Top-Level PKI base path reserved name collision
@@ -390,18 +407,23 @@ class Namespace:
                 self.mdict['pki_instance_name'],
                 self.mdict['pki_instance_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.mdict['pki_instance_name'],
-                                                                      self.mdict['pki_instance_path']))
+            raise Exception(
+                log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (
+                    self.mdict['pki_instance_name'],
+                    self.mdict['pki_instance_path']))
         # No need to check for reserved name under Top-Level PKI log path
-        if self.mdict['pki_instance_name'] in config.PKI_CONFIGURATION_RESERVED_NAMES:
+        if self.mdict['pki_instance_name'] in \
+                config.PKI_CONFIGURATION_RESERVED_NAMES:
             # Top-Level PKI configuration path reserved name collision
             config.pki_log.error(
                 log.PKIHELPER_NAMESPACE_RESERVED_NAME_2,
                 self.mdict['pki_instance_name'],
                 self.mdict['pki_instance_configuration_path'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
-            raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.mdict['pki_instance_name'],
-                                                                      self.mdict['pki_instance_configuration_path']))
+            raise Exception(
+                log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (
+                    self.mdict['pki_instance_name'],
+                    self.mdict['pki_instance_configuration_path']))
         if self.mdict['pki_subsystem'] in config.PKI_APACHE_SUBSYSTEMS:
             # Top-Level Apache PKI registry path reserved name collision
             if self.mdict['pki_instance_name'] in\
@@ -411,8 +433,10 @@ class Namespace:
                     self.mdict['pki_instance_name'],
                     self.mdict['pki_instance_registry_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.mdict['pki_instance_name'],
-                                                                          self.mdict['pki_instance_registry_path']))
+                raise Exception(
+                    log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (
+                        self.mdict['pki_instance_name'],
+                        self.mdict['pki_instance_registry_path']))
         elif self.mdict['pki_subsystem'] in config.PKI_TOMCAT_SUBSYSTEMS:
             # Top-Level Tomcat PKI registry path reserved name collision
             if self.mdict['pki_instance_name'] in\
@@ -422,8 +446,11 @@ class Namespace:
                     self.mdict['pki_instance_name'],
                     self.mdict['pki_instance_registry_path'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (self.mdict['pki_instance_name'],
-                                                                          self.mdict['pki_instance_registry_path']))
+                raise Exception(
+                    log.PKIHELPER_NAMESPACE_RESERVED_NAME_2 % (
+                        self.mdict['pki_instance_name'],
+                        self.mdict['pki_instance_registry_path']))
+
 
 class ConfigurationFile:
     """PKI Deployment Configuration File Class"""
@@ -434,9 +461,9 @@ class ConfigurationFile:
         self.clone = config.str2bool(self.mdict['pki_clone'])
         self.external = config.str2bool(self.mdict['pki_external'])
         self.external_step_two = config.str2bool(
-                                     self.mdict['pki_external_step_two'])
+            self.mdict['pki_external_step_two'])
         self.skip_configuration = config.str2bool(
-                                    self.mdict['pki_skip_configuration'])
+            self.mdict['pki_skip_configuration'])
         self.standalone = config.str2bool(self.mdict['pki_standalone'])
         self.subordinate = config.str2bool(self.mdict['pki_subordinate'])
         # set useful 'string' object variables for this class
@@ -511,16 +538,15 @@ class ConfigurationFile:
                                 self.subsystem)
 
     def confirm_data_exists(self, param):
-        if not self.mdict.has_key(param) or\
-           not len(self.mdict[param]):
+        if not param in self.mdict or not len(self.mdict[param]):
             config.pki_log.error(
                 log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2,
                 param,
                 self.mdict['pki_user_deployment_cfg'],
                 extra=config.PKI_INDENTATION_LEVEL_2)
             raise Exception(
-                    log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
-                    (param, self.mdict['pki_user_deployment_cfg']))
+                log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 %
+                (param, self.mdict['pki_user_deployment_cfg']))
 
     def confirm_missing_file(self, param):
         if os.path.exists(self.mdict[param]):
@@ -562,11 +588,11 @@ class ConfigurationFile:
             #  Subordinate CA that will be automatically configured and
             #  are not Stand-alone PKI)
             if (self.subsystem == "KRA" or
-                self.subsystem == "OCSP" or
-                self.subsystem == "TKS" or
-                self.subsystem == "TPS" or
-                self.clone or
-                self.subordinate):
+                    self.subsystem == "OCSP" or
+                    self.subsystem == "TKS" or
+                    self.subsystem == "TPS" or
+                    self.clone or
+                    self.subordinate):
                 if not self.skip_configuration and not self.standalone:
                     self.confirm_data_exists("pki_security_domain_password")
             # If required, verify existence of Token Password
@@ -583,25 +609,33 @@ class ConfigurationFile:
                         log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_SUB_CA,
                         self.mdict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_SUB_CA % self.mdict['pki_user_deployment_cfg'])
+                    raise Exception(
+                        log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_SUB_CA %
+                        self.mdict['pki_user_deployment_cfg'])
                 elif self.clone and self.external:
                     config.pki_log.error(
                         log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_CA,
                         self.mdict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_CA % self.mdict['pki_user_deployment_cfg'])
+                    raise Exception(
+                        log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_EXTERNAL_CA %
+                        self.mdict['pki_user_deployment_cfg'])
                 elif self.clone and self.subordinate:
                     config.pki_log.error(
                         log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_SUB_CA,
                         self.mdict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_SUB_CA % self.mdict['pki_user_deployment_cfg'])
+                    raise Exception(
+                        log.PKIHELPER_MUTUALLY_EXCLUSIVE_CLONE_SUB_CA %
+                        self.mdict['pki_user_deployment_cfg'])
                 elif self.external and self.subordinate:
                     config.pki_log.error(
                         log.PKIHELPER_MUTUALLY_EXCLUSIVE_EXTERNAL_SUB_CA,
                         self.mdict['pki_user_deployment_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
-                    raise Exception(log.PKIHELPER_MUTUALLY_EXCLUSIVE_EXTERNAL_SUB_CA % self.mdict['pki_user_deployment_cfg'])
+                    raise Exception(
+                        log.PKIHELPER_MUTUALLY_EXCLUSIVE_EXTERNAL_SUB_CA %
+                        self.mdict['pki_user_deployment_cfg'])
             elif self.standalone:
                 if self.clone:
                     config.pki_log.error(
@@ -669,8 +703,10 @@ class ConfigurationFile:
                     self.confirm_data_exists("pki_external_admin_csr_path")
                     self.confirm_missing_file("pki_external_admin_csr_path")
                     # Stand-alone PKI Audit Signing CSR (Step 1)
-                    self.confirm_data_exists("pki_external_audit_signing_csr_path")
-                    self.confirm_missing_file("pki_external_audit_signing_csr_path")
+                    self.confirm_data_exists(
+                        "pki_external_audit_signing_csr_path")
+                    self.confirm_missing_file(
+                        "pki_external_audit_signing_csr_path")
                     # Stand-alone PKI SSL Server CSR (Step 1)
                     self.confirm_data_exists("pki_external_sslserver_csr_path")
                     self.confirm_missing_file("pki_external_sslserver_csr_path")
@@ -680,16 +716,22 @@ class ConfigurationFile:
                     # Stand-alone PKI KRA CSRs
                     if self.subsystem == "KRA":
                         # Stand-alone PKI KRA Storage CSR (Step 1)
-                        self.confirm_data_exists("pki_external_storage_csr_path")
-                        self.confirm_missing_file("pki_external_storage_csr_path")
+                        self.confirm_data_exists(
+                            "pki_external_storage_csr_path")
+                        self.confirm_missing_file(
+                            "pki_external_storage_csr_path")
                         # Stand-alone PKI KRA Transport CSR (Step 1)
-                        self.confirm_data_exists("pki_external_transport_csr_path")
-                        self.confirm_missing_file("pki_external_transport_csr_path")
+                        self.confirm_data_exists(
+                            "pki_external_transport_csr_path")
+                        self.confirm_missing_file(
+                            "pki_external_transport_csr_path")
                     # Stand-alone PKI OCSP CSRs
                     if self.subsystem == "OCSP":
                         # Stand-alone PKI OCSP OCSP Signing CSR (Step 1)
-                        self.confirm_data_exists("pki_external_signing_csr_path")
-                        self.confirm_missing_file("pki_external_signing_csr_path")
+                        self.confirm_data_exists(
+                            "pki_external_signing_csr_path")
+                        self.confirm_missing_file(
+                            "pki_external_signing_csr_path")
                 else:
                     # Stand-alone PKI External CA Certificate Chain (Step 2)
                     self.confirm_data_exists("pki_external_ca_cert_chain_path")
@@ -701,8 +743,10 @@ class ConfigurationFile:
                     self.confirm_data_exists("pki_external_admin_cert_path")
                     self.confirm_file_exists("pki_external_admin_cert_path")
                     # Stand-alone PKI Audit Signing Certificate (Step 2)
-                    self.confirm_data_exists("pki_external_audit_signing_cert_path")
-                    self.confirm_file_exists("pki_external_audit_signing_cert_path")
+                    self.confirm_data_exists(
+                        "pki_external_audit_signing_cert_path")
+                    self.confirm_file_exists(
+                        "pki_external_audit_signing_cert_path")
                     # Stand-alone PKI SSL Server Certificate (Step 2)
                     self.confirm_data_exists("pki_external_sslserver_cert_path")
                     self.confirm_file_exists("pki_external_sslserver_cert_path")
@@ -712,30 +756,36 @@ class ConfigurationFile:
                     # Stand-alone PKI KRA Certificates
                     if self.subsystem == "KRA":
                         # Stand-alone PKI KRA Storage Certificate (Step 2)
-                        self.confirm_data_exists("pki_external_storage_cert_path")
-                        self.confirm_file_exists("pki_external_storage_cert_path")
+                        self.confirm_data_exists(
+                            "pki_external_storage_cert_path")
+                        self.confirm_file_exists(
+                            "pki_external_storage_cert_path")
                         # Stand-alone PKI KRA Transport Certificate (Step 2)
-                        self.confirm_data_exists("pki_external_transport_cert_path")
-                        self.confirm_file_exists("pki_external_transport_cert_path")
+                        self.confirm_data_exists(
+                            "pki_external_transport_cert_path")
+                        self.confirm_file_exists(
+                            "pki_external_transport_cert_path")
                     # Stand-alone PKI OCSP Certificates
                     if self.subsystem == "OCSP":
                         # Stand-alone PKI OCSP OCSP Signing Certificate (Step 2)
-                        self.confirm_data_exists("pki_external_signing_cert_path")
-                        self.confirm_file_exists("pki_external_signing_cert_path")
+                        self.confirm_data_exists(
+                            "pki_external_signing_cert_path")
+                        self.confirm_file_exists(
+                            "pki_external_signing_cert_path")
         return
 
     def populate_non_default_ports(self):
         if (self.mdict['pki_http_port'] !=
-            str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_HTTP_PORT)):
+                str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_HTTP_PORT)):
             ports.append(self.mdict['pki_http_port'])
         if (self.mdict['pki_https_port'] !=
-            str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_HTTPS_PORT)):
+                str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_HTTPS_PORT)):
             ports.append(self.mdict['pki_https_port'])
         if (self.mdict['pki_tomcat_server_port'] !=
-            str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_SERVER_PORT)):
+                str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_SERVER_PORT)):
             ports.append(self.mdict['pki_tomcat_server_port'])
         if (self.mdict['pki_ajp_port'] !=
-            str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_AJP_PORT)):
+                str(config.PKI_DEPLOYMENT_DEFAULT_TOMCAT_AJP_PORT)):
             ports.append(self.mdict['pki_ajp_port'])
         return
 
@@ -757,10 +807,10 @@ class ConfigurationFile:
             context = ""
             for i in portrecs:
                 if (portrecs[i][0] == "unreserved_port_t" or
-                    portrecs[i][0] == "reserved_port_t" or
-                    i[2] != "tcp"):
+                        portrecs[i][0] == "reserved_port_t" or
+                        i[2] != "tcp"):
                     continue
-                if i[0] <= int(port) and int(port) <= i[1]:
+                if i[0] <= int(port) <= i[1]:
                     context = portrecs[i][0]
                     break
             if context == "":
@@ -773,10 +823,12 @@ class ConfigurationFile:
                 ports.remove(port)
             else:
                 config.pki_log.error(
-                        log.PKIHELPER_INVALID_SELINUX_CONTEXT_FOR_PORT,
-                        port, context,
-                        extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_INVALID_SELINUX_CONTEXT_FOR_PORT % (port, context))
+                    log.PKIHELPER_INVALID_SELINUX_CONTEXT_FOR_PORT,
+                    port, context,
+                    extra=config.PKI_INDENTATION_LEVEL_2)
+                raise Exception(
+                    log.PKIHELPER_INVALID_SELINUX_CONTEXT_FOR_PORT %
+                    (port, context))
         return
 
     def verify_command_matches_configuration_file(self):
@@ -790,8 +842,10 @@ class ConfigurationFile:
                     self.mdict['pki_deployed_instance_name'],
                     self.mdict['pki_instance_name'],
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % (self.mdict['pki_deployed_instance_name'],
-                                                                                      self.mdict['pki_instance_name']))
+                raise Exception(
+                    log.PKIHELPER_UNDEFINED_CONFIGURATION_FILE_ENTRY_2 % (
+                        self.mdict['pki_deployed_instance_name'],
+                        self.mdict['pki_instance_name']))
         return
 
 # PKI Deployment XML File Class
@@ -826,6 +880,7 @@ class ConfigurationFile:
 #                FILE.write(line)
 #        FILE.close()
 
+
 class Instance:
     """PKI Deployment Instance Class"""
 
@@ -840,7 +895,7 @@ class Instance:
             for subsystem in config.PKI_APACHE_SUBSYSTEMS:
                 path = self.mdict['pki_instance_path'] + "/" + subsystem.lower()
                 if os.path.exists(path) and os.path.isdir(path):
-                    rv = rv + 1
+                    rv += 1
             config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCE_SUBSYSTEMS_2,
                                  self.mdict['pki_instance_path'],
                                  rv, extra=config.PKI_INDENTATION_LEVEL_2)
@@ -859,14 +914,16 @@ class Instance:
             # simply count the number of PKI 'apache' instances (directories)
             # present within the PKI 'apache' registry directory
             for instance in\
-                os.listdir(self.mdict['pki_instance_type_registry_path']):
+                    os.listdir(self.mdict['pki_instance_type_registry_path']):
                 if os.path.isdir(
-                       os.path.join(self.mdict['pki_instance_type_registry_path'],
-                       instance)) and not\
+                        os.path.join(
+                            self.mdict['pki_instance_type_registry_path'],
+                            instance)) and not\
                    os.path.islink(
-                       os.path.join(self.mdict['pki_instance_type_registry_path'],
-                       instance)):
-                    rv = rv + 1
+                       os.path.join(
+                            self.mdict['pki_instance_type_registry_path'],
+                            instance)):
+                    rv += 1
             config.pki_log.debug(log.PKIHELPER_APACHE_INSTANCES_2,
                                  self.mdict['pki_instance_type_registry_path'],
                                  rv,
@@ -895,7 +952,7 @@ class Instance:
                         if os.path.isdir(os.path.join(instance_dir, name)) and\
                            not os.path.islink(os.path.join(instance_dir, name)):
                             if name.upper() in config.PKI_SUBSYSTEMS:
-                                rv = rv + 1
+                                rv += 1
             config.pki_log.debug(log.PKIHELPER_PKI_INSTANCE_SUBSYSTEMS_2,
                                  self.mdict['pki_instance_path'], rv,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -930,12 +987,14 @@ class Instance:
             for instance in\
                 os.listdir(self.mdict['pki_instance_type_registry_path']):
                 if os.path.isdir(
-                       os.path.join(self.mdict['pki_instance_type_registry_path'],
-                       instance)) and not\
+                    os.path.join(
+                        self.mdict['pki_instance_type_registry_path'],
+                        instance)) and not\
                    os.path.islink(
-                       os.path.join(self.mdict['pki_instance_type_registry_path'],
-                       instance)):
-                    rv = rv + 1
+                       os.path.join(
+                           self.mdict['pki_instance_type_registry_path'],
+                           instance)):
+                    rv += 1
             config.pki_log.debug(log.PKIHELPER_TOMCAT_INSTANCES_2,
                                  self.mdict['pki_instance_type_registry_path'],
                                  rv,
@@ -953,8 +1012,10 @@ class Instance:
                                      self.mdict['pki_subsystem'],
                                      self.mdict['pki_instance_name'],
                                      extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (self.mdict['pki_subsystem'],
-                                                                      self.mdict['pki_instance_name']))
+                raise Exception(
+                    log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (
+                        self.mdict['pki_subsystem'],
+                        self.mdict['pki_instance_name']))
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -967,8 +1028,10 @@ class Instance:
                                      self.mdict['pki_subsystem'],
                                      self.mdict['pki_instance_name'],
                                      extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (self.mdict['pki_subsystem'],
-                                                                      self.mdict['pki_instance_name']))
+                raise Exception(
+                    log.PKI_SUBSYSTEM_DOES_NOT_EXIST_2 % (
+                        self.mdict['pki_subsystem'],
+                        self.mdict['pki_instance_name']))
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
@@ -996,10 +1059,11 @@ class Instance:
             status = root.findtext("Status")
             return status
         except Exception as exc:
-            config.pki_log.debug("No connection - server may still be down",
+            config.pki_log.debug(
+                "No connection - server may still be down",
                 extra=config.PKI_INDENTATION_LEVEL_3)
-            config.pki_log.debug("No connection - exception thrown: " +\
-                str(exc),
+            config.pki_log.debug(
+                "No connection - exception thrown: " + str(exc),
                 extra=config.PKI_INDENTATION_LEVEL_3)
             return None
 
@@ -1014,6 +1078,7 @@ class Instance:
                 break
         return status
 
+
 class Directory:
     """PKI Deployment Directory Class"""
 
@@ -1036,9 +1101,9 @@ class Directory:
                                      extra=config.PKI_INDENTATION_LEVEL_3)
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
-                if uid == None:
+                if uid is None:
                     uid = self.identity.get_uid()
-                if gid == None:
+                if gid is None:
                     gid = self.identity.get_gid()
                 config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                      uid, gid, name,
